package com.kmall.common.utils.print.ticket.item;

import com.kmall.common.utils.print.ticket.item.font.TicketCommonFont;
import com.kmall.common.utils.print.ticket.item.font.TicketGoodsTitleFont;
import com.kmall.common.utils.print.ticket.item.font.TicketHeadFont;

import java.io.Serializable;
import java.util.List;

/**
 * 小票要素
 *
 * @author Scott Chen
 * @since 1.0
 * 2018-10-30
 */
public class Ticket implements Serializable {

    public static final String TOP = "top";
    public static final String BOTTOM = "bottom";


    // 小票头信息
    private TicketHead ticketHead;
    // 商品信息
    private List<Goods> goods;
    // 收银信息
    private CashInfo cashInfo;
    // 海关清单信息
    private CusListing cusListing;
    // 小票页脚
    private TicketFoot ticketFoot;

    //---------- 商品要素对齐方式 ----------
    private String goodsAlign = BOTTOM;

    //---------- 字体设置 ----------

    // 小票头字体
    private TicketHeadFont ticketHeadFont;
    // 小票商品标题字体
    private TicketGoodsTitleFont ticketGoodsTitleFont;
    // 小票字体
    private TicketCommonFont ticketCommonFont;



    public TicketHead getTicketHead() {
        return ticketHead;
    }

    public void setTicketHead(TicketHead ticketHead) {
        this.ticketHead = ticketHead;
    }

    public List<Goods> getGoods() {
        return goods;
    }

    public void setGoods(List<Goods> goods) {
        this.goods = goods;
    }

    public CashInfo getCashInfo() {
        return cashInfo;
    }

    public void setCashInfo(CashInfo cashInfo) {
        this.cashInfo = cashInfo;
    }

    public CusListing getCusListing() {
        return cusListing;
    }

    public void setCusListing(CusListing cusListing) {
        this.cusListing = cusListing;
    }

    public String getGoodsAlign() {
        return goodsAlign;
    }

    public void setGoodsAlign(String goodsAlign) {
        this.goodsAlign = goodsAlign;
    }

    public TicketFoot getTicketFoot() {
        return ticketFoot;
    }

    public void setTicketFoot(TicketFoot ticketFoot) {
        this.ticketFoot = ticketFoot;
    }

    public TicketHeadFont getTicketHeadFont() {
        return ticketHeadFont;
    }

    public void setTicketHeadFont(TicketHeadFont ticketHeadFont) {
        this.ticketHeadFont = ticketHeadFont;
    }

    public TicketGoodsTitleFont getTicketGoodsTitleFont() {
        return ticketGoodsTitleFont;
    }

    public void setTicketGoodsTitleFont(TicketGoodsTitleFont ticketGoodsTitleFont) {
        this.ticketGoodsTitleFont = ticketGoodsTitleFont;
    }

    public TicketCommonFont getTicketCommonFont() {
        return ticketCommonFont;
    }

    public void setTicketCommonFont(TicketCommonFont ticketCommonFont) {
        this.ticketCommonFont = ticketCommonFont;
    }
}
